Similar Products
const url = 'https://api.vviinn.com/product/120857/similar-products?similar-products-count=8&campaigns=127%2C185&image-code=2&color=12ff21&excluded%5B%5D=brand%3ANike%2CPuma&excluded%5B%5D=custom_label_0%3Asummer&category%5B%5D=cm9vdA&category%5B%5D=TcO2YmVsPlRpc2NoZQ';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vviinn.com/product/120857/similar-products?similar-products-count=8&campaigns=127%2C185&image-code=2&color=12ff21&excluded%5B%5D=brand%3ANike%2CPuma&excluded%5B%5D=custom_label_0%3Asummer&category%5B%5D=cm9vdA&category%5B%5D=TcO2YmVsPlRpc2NoZQ' \ --header 'Authorization: Bearer <token>'This endpoint allows to discover products similar to the source product, usually chosen by a user. The response contains a list of similarities for each product.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Example
120857Query Parameters
Section titled “Query Parameters”Returns less than or equal to the campaign’s defined results
Example
8Comma-separated list of campaign ids
Example
127,185Example
2Example
12ff21Each item describes a column and values from that column that should be excluded from the result set
Example
[ "brand:Nike,Puma", "custom_label_0:summer"]Each item describes a category path that should be used instead of the product’s actual category paths
Example
[ "cm9vdA", "TcO2YmVsPlRpc2NoZQ"]Responses
Section titled “Responses”Success
object
object
This field is superseded by the entity type and therefore deprecated.
The API usually returns products; it can also return entities representing something else.
To enable different handling of these entities, the API uses an entity-type to distinguish between them, namely:
- A
productentity represents a product in the catalog. - A
contententity contains information relevant to a user, e.g., trends, opening hours. - A
listentity comprises a collection of distinguishable items, e.g., a category page.
Link to the product detail page
object
object
object
object
The base price per measure is derived by adjusting the product’s total cost to a standardized unit of measurement, making it easier to compare products of varying volumes.
object
The base price per measure is derived by adjusting the product’s total cost to a standardized unit of measurement, making it easier to compare products of varying volumes.
object
object
object
object
Example
{ "bestFits": [ "b56764137ca959da9541bb28c1987d6c", "b5685a5230f5050475f214b4bb0e239b", "b56c560872da93602ff88c7267eb4774", "d861ad687c60820255dbf8f88516f24d" ], "extended": [ { "kind": "product", "entityType": "product", "groupId": "55fc5f71d6362321cb93b82b387e2f32", "productId": "55fc5f71d6362321cb93b82b387e2f32", "title": "Livingwalls Fototapete Walls by Patel iconic 3", "deeplink": "http://mainUrl/site/5/product/55fc5f71d6362321cb93b82b387e2f32/details", "brand": "Fender", "productType": "guitar", "image": { "original": "http://mainUrl/image.jpg", "thumbnail": "http://mainUrl/thumbnail-image.jpg" }, "images": [ { "original": "http://mainUrl/image.jpg", "thumbnail": "http://mainUrl/thumbnail-image.jpg" } ], "price": { "actual": 19.9, "sale": 19.9 }, "basePrice": { "actual": { "price": 15.92, "quantity": 100, "measure": "ml" }, "sale": { "price": 15.92, "quantity": 100, "measure": "ml" } }, "energyEfficiencyClass": "A+++", "minEnergyEfficiencyClass": "A+++", "maxEnergyEfficiencyClass": "A+++", "energyCertifications": [ { "certificationClass": "A+++", "classRange": { "min": "A+++", "max": "A+++" } } ] } ]}Generic Error
object
Example
{ "message": "Generic Error"}Authentication Error
Example
{ "message": "Authentication Error"}Authorization Error
Example
{ "message": "Authorization Error"}